mapnik-render(1)

NAME
mapnik-render - Mapnik Maps on the Command-Line

SYNOPSIS
mapnik-render
[options]

DESCRIPTION
mapnik-render is a third-party program that allows you to easily generate mapnik graphics from Mapnik xml or Cascadenik mml.

•   No python coding is required, only a working Mapnik installation and an XML mapfile.

•   mapnik-render has a variety of options that make it a useful mapfile debugger.

•   Using mapnik-render is an easy way to test and develop your xml mapfiles before launching on a server.

•   mapnik-render should automatically open the rendered map once completed.

OPTIONS

\FC-h\F[], \FC--help\F[]
    produce usage message

\FC-V\F[], \FC--version\F[]
    print version string

\FC-v\F[], \FC--verbose\F[]
    verbose output

\FC--open\F[]
    automatically open the file after rendering (os x only)

\FC--xml\F[] file
    xml map to read

\FC--img\F[] file
    image to render

\FC--scale-factor\F[] number
    scale factor for rendering

\FC--variables\F[]
    make map parameters available as render-time variables